summaryrefslogtreecommitdiff
path: root/tools/clean.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/clean.sh')
-rwxr-xr-xtools/clean.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tools/clean.sh b/tools/clean.sh
new file mode 100755
index 0000000..c7a4c88
--- /dev/null
+++ b/tools/clean.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+
+set -euf
+
+
+# absolute paths
+script="$(realpath $0)"
+tools="$(dirname "${script}")"
+src="$(dirname "${tools}")"
+build="${src}/build"
+pcb="${src}/pcb"
+
+
+rm -rf "$build"
+rm -f "${pcb}/fp-info-cache"
+rm -f "${pcb}/iot-contact.kicad_prl"